/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

body {
    font-family: var(--tipo-general);
    font-size: 1rem;
    font-weight: 300;
    line-height: 1.3em;

    p:last-child {
        margin-bottom: 0;
    }

    a {
        transition: var(--transition-all);
    }
}

h1,
h2,
h3,
h4,
h5,
h6 {
    line-height: 1.2em !important;
}

.tit {
    h1 {
        font-weight: 200;
        font-family: var(--tipo-titulos);
        font-size: clamp(30px, 4vw, 45px);
    }

    h2 {
        font-family: var(--tipo-titulos);
        font-weight: 200;
        font-size: clamp(24px, 3vw, 36px);
    }

    h3 {
        font-family: var(--tipo-titulos);
        font-weight: 200;
        font-size: clamp(20px, 2vw, 28px);
    }

    h4 {
        font-family: var(--tipo-titulos);
        font-weight: 500;
        font-size: clamp(18px, 1.5vw, 20px);
    }
}

.tit.big {
    h2 {
        font-family: var(--tipo-titulos);
        font-weight: 200;
        font-size: clamp(23px, 3vw, 45px);
    }
}

.subtit {
    h1 {
        font-family: var(--tipo-titulos);
        font-weight: 300;
        font-size: clamp(28px, 4vw, 40px);
    }

    h2 {
        font-family: var(--tipo-titulos);
        font-weight: 300;
        font-size: clamp(22px, 2.5vw, 28px);
    }

    h3 {
        font-family: var(--tipo-titulos);
        font-weight: 300;
        font-size: clamp(18px, 1.5vw, 24px);
    }

    h4 {
        font-family: var(--tipo-titulos);
        font-weight: 500;
        font-size: clamp(16px, 1.5vw, 18px);
    }
}

.subtit-p {
    p {
        font-family: var(--tipo-titulos);
        font-weight: 300;
        font-size: clamp(18px, 1vw, 20px);
        line-height: 1.2em;
    }
}

.txt-deg {
    background: var(--deg-3);
    background-clip: text;
    color: transparent;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.f300 {
    font-weight: 300;

    p,
    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
        font-weight: 300;
    }
}

.f400 {
    font-weight: 400;

    p,
    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
        font-weight: 400;
    }
}

.f500 {
    font-weight: 500;

    p,
    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
        font-weight: 500;
    }
}

.f600 {
    font-weight: 600;

    p,
    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
        font-weight: 600;
    }
}

.f700 {
    font-weight: 700;

    p,
    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
        font-weight: 700;
    }
}

.lista {
    ul {
        list-style: none;
        margin: 0 0 0 25px;

        li {
            position: relative;
            margin-bottom: 10px;

            &::before {
                content: "";
                position: absolute;
                background-color: var(--c-menta-opaco);
                width: 10px;
                height: 10px;
                top: 7px;
                left: -20px;
                border-radius: 20px;
            }
        }
    }
}

.bg-blur {
    backdrop-filter: blur(3px);
}

/* -- HOME -- */
.carrusel_slide_home {
    .elementor-widget-container {
        .swiper {
            height: 100vh;
        }

    }
}


.carrusel-clientes {
    .swiper-wrapper {
        align-items: center;

        img {
            max-height: 85px;
            max-width: 160px;
            object-fit: contain;
        }
    }
}

.solucion-box {
    /* cursor: pointer; */
    overflow: hidden;

    .show-hover {
        backdrop-filter: blur(10px);
        overflow: hidden;
        opacity: 0 !important;
        transition: var(--transition-all);
    }

    &:hover {
        .show-hover {
            opacity: 1 !important;
        }
    }
}


/* -- BLOG -- */
.caja-blog {

    transition: var(--transition-larga);

    h3,
    img {
        transition: var(--transition-all);
    }

    &:hover {
        box-shadow: var(--boxshadow-hover);
        transition: var(--transition-larga);

        h3 {
            color: var(--c-menta-opaco);
        }

        img {
            filter: saturate(0.5);
        }
    }

    ul {
        list-style: none;
        margin: 0 0 0 0;
    }

    .cat-blog {
        span:not(:first-child) {
            display: none;
        }
    }
}

.filtro-blog {

    .e-filter-item[data-filter="sin-categoria"],
    .e-filter-item[data-filter="aseguradoras-de-salud"],
    .e-filter-item[data-filter="banca"],
    .e-filter-item[data-filter="casinos"],
    .e-filter-item[data-filter="noticias-verazial"],
    .e-filter-item[data-filter="empresas"],
    .e-filter-item[data-filter="centros-educativos"],
    .e-filter-item[data-filter="gobiernos"],
    .e-filter-item[data-filter="uncategorized"],
    .e-filter-item[data-filter="healthcare-insurers"],
    .e-filter-item[data-filter="banking-en"],
    .e-filter-item[data-filter="casinos-en"],
    .e-filter-item[data-filter="verazial-news"],
    .e-filter-item[data-filter="companies-en"],
    .e-filter-item[data-filter="schools-universities"],
    .e-filter-item[data-filter="governments-en"] {
        display: none;
    }
}

.posts-blog {
    .page-numbers {
        padding: 3px 8px;
        border-radius: 5px;
        background-color: var(--c-blanco);
        border: 1px solid var(--c-azul-oscuro);

        &:hover,
        &.current {
            background-color: var(--c-gris-extra-claro);
            border-color: var(--c-menta-opaco);
        }
    }
}

.contenido-blog {
    img {
        display: flex;
        margin: auto auto 30px;
    }

    h2,
    h3,
    h4,
    h5,
    h6 {
        font-family: var(--tipo-titulos);
        font-weight: 400;

        b,
        strong {
            font-weight: 400;
        }
    }
}

/* TABLAS DE CARACTERÍSTICAS */
.tabla-caracteristicas {
    table {
        tr {
            background-color: var(--c-blanco);

            &:nth-child(2n) {
                background: rgba(206, 212, 218, 0.5);
            }
        }
    }
}

/* CARRUSELES */
.carrusel {
    .swiper-pagination {
        background-color: #F9F9F9D1;
        padding: 20px;
        border-radius: 50px;
    }
    &.carrusel-new {
        .swiper-pagination{
            top: calc(100% + 100px) !important;
        }
        .swiper{
            padding-bottom: 0px !important;
        }
    }
}

.col-item-hover {
    margin-bottom: 20px;

    transition: var(--transition-larga);

    .elementor-icon {
        transition: var(--transition-larga);
    }

    &:hover {
        background-color: var(--c-gris-extra-claro);
        transition: var(--transition-larga);

        .elementor-icon {
            transition: var(--transition-larga);
            transform: rotate(90deg);
        }
    }
}

.pill-servicio {
    transition: var(--transition-larga);

    .elementor-icon {
        transition: var(--transition-larga);
    }

    &:hover {
        background-color: var(--c-gris-extra-claro);
        transition: var(--transition-larga);

        .elementor-icon {
            transition: var(--transition-larga);
            transform: rotate(90deg);
        }
    }
}

.icon-proces {
    .elementor-image-box-img {
        background-color: var(--c-blanco);
        padding: 10px;
        border-radius: 50%;
    }
}



/* ----- RESPONSIVE ------ */

@media screen and (max-width:1024px) {

    /* -- HOME -- */
    .solucion-box {
        .show-hover {
            opacity: 1 !important;
            position: relative;
            margin: 0 -20px -20px;
            width: calc(100% + 40px);
        }
    }

    .salto-pc {
        display: none;
    }
    .carrusel_slide_home {
        .elementor-widget-container {
            .swiper {
                height: 80vh;
            }

        }
    }
}


@media screen and (max-width:768px) {
    .ico-left-mv {
        .elementor-image-box-wrapper {
            display: flex;
            align-items: center;
            justify-content: flex-start;
            gap: 15px;
        }
    }

    .tabla-responsive {
        overflow-x: scroll;
    }

    .carrusel_slide_home {
        .elementor-widget-container {
            .swiper {
                height: 50vh;
            }
        }
    }
}

@media screen and (max-width:766px) {
    .filtro-blog {
        .e-filter {
            padding: 0 0 10px 20px;
        }

        .e-filter::-webkit-scrollbar {
            background-color: var(--c-gris-claro);
            height: 3px;
            width: calc(100% - 40px);
            margin: auto;
            border-radius: 50px;

        }

        .e-filter::-webkit-scrollbar-thumb {
            background-color: var(--c-azul-claro);
            height: 3px;
            width: calc(100% - 40px);
            margin: auto;
            border-radius: 50px;
        }

    }

    .carrusel_slide_home {
        .elementor-widget-container {
            .swiper {
                height: 40vh;
            }

        }
    }
}